package brentmaas.CW4x3Challenge;
import java.awt.*;
import java.awt.event.*;

public class CursorGUI{
	public int x = 0, y = 0;
	public PixelField pixels;
	public int alphaTick = 96;
	public boolean alphaTickAscending = true;
	
	public CursorGUI(){
		pixels = new PixelField(800, 600);
		pixels.setAllPixels(new Pixel(255, 255, 255, 0));
		pixels.pixels[x][y].alpha = alphaTick;
		tick();
	}
	
	public void draw(Graphics g){
		pixels.draw(g);
	}
	
	public void invokeKeyEvent(KeyEvent e){
		if(e.getKeyCode() == KeyEvent.VK_ENTER){
			if(Main.popupGUI == null){
				Main.currentGUI.invokeButtonPress(x, y);
			}else{
				Main.popupGUI.invokeButtonPress(x, y);
			}
		}else if(e.getKeyCode() == KeyEvent.VK_W || e.getKeyCode() == KeyEvent.VK_UP || e.getKeyCode() == KeyEvent.VK_KP_UP){
			if(y > 0){
				pixels.pixels[x][y].alpha = 0;
				y--;
				pixels.pixels[x][y].alpha = alphaTick;
			}
		}else if(e.getKeyCode() == KeyEvent.VK_A || e.getKeyCode() == KeyEvent.VK_LEFT || e.getKeyCode() == KeyEvent.VK_KP_LEFT){
			if(x > 0){
				pixels.pixels[x][y].alpha = 0;
				x--;
				pixels.pixels[x][y].alpha = alphaTick;
			}
		}else if(e.getKeyCode() == KeyEvent.VK_D || e.getKeyCode() == KeyEvent.VK_RIGHT || e.getKeyCode() == KeyEvent.VK_KP_RIGHT){
			if(x < 3){
				pixels.pixels[x][y].alpha = 0;
				x++;
				pixels.pixels[x][y].alpha = alphaTick;
			}
		}else if(e.getKeyCode() == KeyEvent.VK_S || e.getKeyCode() == KeyEvent.VK_DOWN || e.getKeyCode() == KeyEvent.VK_KP_DOWN){
			if(y < 2){
				pixels.pixels[x][y].alpha = 0;
				y++;
				pixels.pixels[x][y].alpha = alphaTick;
			}
		}
	}
	
	public void tick(){
		pixels = new PixelField(800, 600);
		if(alphaTick <= 96)
		alphaTickAscending = true;
		if(alphaTick >= 192)
		alphaTickAscending = false;
		if(alphaTickAscending){
			alphaTick += 4;
		}else{
			alphaTick -= 4;
		}
		pixels.pixels[x][y].alpha = alphaTick;
	}
}
