package brentmaas.CW4x3Challenge;
import java.awt.*;
import java.awt.event.*;

public abstract class GUI {
	public PixelField pixels;
	public Button[][] buttons;
	
	public GUI(){
		init();
	}
	
	public abstract void init();
	public abstract void invokeButtonPress(int x, int y);
	public abstract void invokeKeyPress(KeyEvent e);
	public abstract void draw(Graphics g);
	public abstract void tick();
}
