package brentmaas.CW4x3Challenge;
import java.awt.*;
import javax.swing.*;

public class Main extends JFrame{
	private static final long serialVersionUID = 1L;
	public static JFrame frame;
	public static Panel panel;
	public static Dimension size = new Dimension(806, 629);
	public static final String title = "PixCiv (CodeWalr.us 4x3 contest entry ~ brentmaas)";
	
	public static int pixelWidth = 200, pixelHeight = 200;
	
	public static GUI currentGUI;
	public static GUI popupGUI;
	public static CursorGUI cursorGUI;
	
	public static void main(String args[]){
		currentGUI = new GUIMainMenu();
		cursorGUI = new CursorGUI();
		
		frame = new JFrame();
		frame.setSize(size);
		frame.setTitle(title);
		frame.setLocationRelativeTo(null);
		frame.setResizable(true);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.addKeyListener(new InputListener());
		panel = new Panel();
		frame.add(panel);
		frame.setVisible(true);
	}
	
	public static void fixPixelSize(){
		pixelWidth = frame.getWidth() / 4 - 1;
		pixelHeight = frame.getHeight() / 3 - 9;
	}
}
