package brentmaas.CW4x3Challenge;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Panel extends JPanel implements ActionListener{
	private static final long serialVersionUID = 1L;
	
	public Panel(){
		setFocusable(true);
		addKeyListener(new InputListener());
		
		Timer timer = new Timer(25, this);
		timer.start();
	}
	
	public void actionPerformed(ActionEvent e){
		Main.fixPixelSize();
		Main.currentGUI.tick();
		Main.cursorGUI.tick();
		repaint();
	}
	
	public void paint(Graphics g){
		super.paint(g);
		Main.currentGUI.draw(g);
		Main.cursorGUI.draw(g);
	}
}
