package brentmaas.CW4x3Challenge;
import java.awt.*;

public class PixelField {
	public int width, height;
	public Pixel[][] pixels;
	
	public PixelField(int width, int height){
		this.width = width;
		this.height = height;
		pixels = new Pixel[4][3];
		for(int x = 0;x < 4;x++){
			for(int y = 0;y < 3;y++){
				pixels[x][y] = new Pixel(255, 255, 255, 0);
			}
		}
	}
	
	public PixelField(int width, int height, Pixel[][] pixels){
		this.width = width;
		this.height = height;
		this.pixels = pixels;
	}
	
	public void setPixel(int x, int y, Pixel pixel){
		pixels[x][y] = pixel;
	}
	
	public void setAllPixels(Pixel pixel){
		for(int x = 0;x < 4;x++){
			for(int y = 0;y < 3;y++){
				pixels[x][y] = pixel;
			}
		}
	}
	
	public void draw(Graphics g){
		for(int x = 0;x < 4;x++){
			for(int y = 0;y < 3;y++){
				g.setColor(pixels[x][y].getColor());
				g.fillRect(Main.pixelWidth * x, Main.pixelHeight * y, Main.pixelWidth, Main.pixelHeight);
			}
		}
	}
}
