package brentmaas.CW4x3Challenge;

public class AI {
	public GUIGame game;
	
	public AI(GUIGame game){
		this.game = game;
	}
	
	public void processTurn(){
		game.turn = GUIGame.turnP2;
		for(int x = 0;x < 4;x++){
			for(int y = 0;y < 3;y++){
				if(game.field.tiles[x][y].faction == Tile.factionPlayer2){
					try{
						if(game.field.tiles[x - 1][y].faction == Tile.factionNeutral && !game.field.tiles[x - 1][y].isSea && !game.field.tiles[x][y].wasCaptured){
							game.movingUnits = 1;
							game.moveUnits(x, y, x - 1, y);
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x + 1][y].faction == Tile.factionNeutral && !game.field.tiles[x + 1][y].isSea && !game.field.tiles[x][y].wasCaptured){
							game.movingUnits = 1;
							game.moveUnits(x, y, x + 1, y);
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x][y - 1].faction == Tile.factionNeutral && !game.field.tiles[x][y - 1].isSea && !game.field.tiles[x][y].wasCaptured){
							game.movingUnits = 1;
							game.moveUnits(x, y, x, y - 1);
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x][y + 1].faction == Tile.factionNeutral && !game.field.tiles[x][y + 1].isSea && !game.field.tiles[x][y].wasCaptured){
							game.movingUnits = 1;
							game.moveUnits(x, y, x, y + 1);
						}
					}catch(Exception e){}
					
					if(game.field.tiles[x][y].troops <= 3 && game.field.tiles[x][y].faction == Tile.factionPlayer2){
						game.field.tiles[x][y].pendingMode = Tile.modeFortify;
					}else if(game.field.tiles[x][y].troops > 3 && game.field.tiles[x][y].faction == Tile.factionPlayer2){
						game.field.tiles[x][y].pendingMode = Tile.modeScout;
					}
					
					try{
						if(game.field.tiles[x - 1][y].faction == Tile.factionPlayer1){
							game.field.tiles[x][y].pendingMode = Tile.modeFortify;
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x + 1][y].faction == Tile.factionPlayer1){
							game.field.tiles[x][y].pendingMode = Tile.modeFortify;
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x][y - 1].faction == Tile.factionPlayer1){
							game.field.tiles[x][y].pendingMode = Tile.modeFortify;
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x][y + 1].faction == Tile.factionPlayer1){
							game.field.tiles[x][y].pendingMode = Tile.modeFortify;
						}
					}catch(Exception e){}
					
					if(!hasSurroundingEnemy(x, y)){
						try{
							if(game.field.tiles[x - 1][y].faction == Tile.factionPlayer2 && game.field.tiles[x][y].troops >= 6 && game.field.tiles[x - 1][y].troops < 6){
								game.movingUnits = game.field.tiles[x][y].troops - game.field.tiles[x - 1][y].troops;
							}
						}catch(Exception e){}
						try{
							if(game.field.tiles[x + 1][y].faction == Tile.factionPlayer2 && game.field.tiles[x][y].troops >= 6 && game.field.tiles[x + 1][y].troops < 6){
								game.movingUnits = game.field.tiles[x][y].troops - game.field.tiles[x + 1][y].troops;
							}
						}catch(Exception e){}
						try{
							if(game.field.tiles[x][y - 1].faction == Tile.factionPlayer2 && game.field.tiles[x][y].troops >= 6 && game.field.tiles[x][y - 1].troops < 6){
								game.movingUnits = game.field.tiles[x][y].troops - game.field.tiles[x][y - 1].troops;
							}
						}catch(Exception e){}
						try{
							if(game.field.tiles[x][y + 1].faction == Tile.factionPlayer2 && game.field.tiles[x][y].troops >= 6 && game.field.tiles[x][y + 1].troops < 6){
								game.movingUnits = game.field.tiles[x][y].troops - game.field.tiles[x][y + 1].troops;
							}
						}catch(Exception e){}
					}
					
					try{
						if(game.field.tiles[x - 1][y].faction == Tile.factionPlayer1 && game.field.tiles[x][y].mode == Tile.modeScout && game.field.tiles[x][y].troops >= 4){
							game.movingUnits = game.field.tiles[x][y].troops;
							game.moveUnits(x, y, x - 1, y);
						}else if(game.field.tiles[x - 1][y].faction == Tile.factionPlayer1 && !(game.field.tiles[x][y].mode == Tile.modeScout) && game.field.tiles[x][y].troops >= 4){
							game.field.tiles[x][y].pendingMode = Tile.modeScout;
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x + 1][y].faction == Tile.factionPlayer1 && game.field.tiles[x][y].mode == Tile.modeScout && game.field.tiles[x][y].troops >= 4){
							game.movingUnits = game.field.tiles[x][y].troops;
							game.moveUnits(x, y, x + 1, y);
						}else if(game.field.tiles[x + 1][y].faction == Tile.factionPlayer1 && !(game.field.tiles[x][y].mode == Tile.modeScout) && game.field.tiles[x][y].troops >= 4){
							game.field.tiles[x][y].pendingMode = Tile.modeScout;
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x][y - 1].faction == Tile.factionPlayer1 && game.field.tiles[x][y].mode == Tile.modeScout && game.field.tiles[x][y].troops >= 4){
							game.movingUnits = game.field.tiles[x][y].troops;
							game.moveUnits(x, y, x, y - 1);
						}else if(game.field.tiles[x][y - 1].faction == Tile.factionPlayer1 && !(game.field.tiles[x][y].mode == Tile.modeScout) && game.field.tiles[x][y].troops >= 4){
							game.field.tiles[x][y].pendingMode = Tile.modeScout;
						}
					}catch(Exception e){}
					try{
						if(game.field.tiles[x][y + 1].faction == Tile.factionPlayer1 && game.field.tiles[x][y].mode == Tile.modeScout && game.field.tiles[x][y].troops >= 4){
							game.movingUnits = game.field.tiles[x][y].troops;
							game.moveUnits(x, y, x, y + 1);
						}else if(game.field.tiles[x][y + 1].faction == Tile.factionPlayer1 && !(game.field.tiles[x][y].mode == Tile.modeScout) && game.field.tiles[x][y].troops >= 4){
							game.field.tiles[x][y].pendingMode = Tile.modeScout;
						}
					}catch(Exception e){}
				}
			}
		}
		game.turn = GUIGame.turnP1;
	}
	
	public boolean hasSurroundingEnemy(int x, int y){
		try{
			if(game.field.tiles[x - 1][y].faction == Tile.factionPlayer1){
				return true;
			}
		}catch(Exception e){}
		try{
			if(game.field.tiles[x + 1][y].faction == Tile.factionPlayer1){
				return true;
			}
		}catch(Exception e){}
		try{
			if(game.field.tiles[x][y - 1].faction == Tile.factionPlayer1){
				return true;
			}
		}catch(Exception e){}
		try{
			if(game.field.tiles[x][y + 1].faction == Tile.factionPlayer1){
				return true;
			}
		}catch(Exception e){}
		
		return false;
	}
}
