package brentmaas.CW4x3Challenge;
import java.awt.*;
import java.awt.event.*;

public class GUIMainMenu extends GUI{
	public GameField background;
	public boolean choosingGamemode = false;
	
	public void init(){
		background = new GameField(6, 9);
		background.generate();
	}
	
	public void invokeButtonPress(int x, int y){
		if(!choosingGamemode){
			if(x == 1 && y == 1){
				choosingGamemode = true;
			}else if(x == 2 && y == 1){
				System.exit(0);
			}
		}else if(choosingGamemode){
			if(x == 0 && y == 0){
				choosingGamemode = false;
			}else if(x == 1 && y == 0){
				choosingGamemode = false;
				Main.currentGUI = new GUIGame(true);
			}else if(x == 2 && y == 0){
				choosingGamemode = false;
				Main.currentGUI = new GUIGame(false);
			}
		}
	}
	
	public void invokeKeyPress(KeyEvent e){
		
	}
	
	public void draw(Graphics g){
		background.draw(g);
		g.setColor(new Color(0, 0, 0, 128));
		g.fillRect(0, 0, Main.frame.getWidth(), Main.frame.getHeight());
		if(!choosingGamemode){
			g.setColor(Color.GREEN);
			g.fillRect(Main.pixelWidth, Main.pixelHeight, Main.pixelWidth, Main.pixelHeight);
			g.setColor(Color.red);
			g.fillRect(2 * Main.pixelWidth, Main.pixelHeight, Main.pixelWidth, Main.pixelHeight);
		}else if(choosingGamemode){
			g.setColor(Color.RED);
			g.fillRect(0, 0, Main.pixelWidth, Main.pixelHeight);
			g.setColor(GameField.colorPlayer1);
			g.fillRect(Main.pixelWidth, Main.pixelHeight, 2 * Main.pixelWidth, Main.pixelHeight);
			g.setColor(GameField.colorPlayer2);
			g.fillRect(Main.pixelWidth, 2 * Main.pixelHeight, 2 * Main.pixelWidth, Main.pixelHeight);
			g.setColor(new Color(0, 0, 0, 192));
			g.fillRect(Main.pixelWidth, 2 * Main.pixelHeight, Main.pixelWidth, Main.pixelHeight);
			g.setColor(Color.GREEN);
			g.fillRect(Main.pixelWidth, 0, 2 * Main.pixelWidth, Main.pixelHeight);
		}
	}
	
	public void tick(){
		background.tick();
	}
}
