package brentmaas.CW4x3Challenge;

public class Tile {
	public boolean isSea;
	
	public static final int factionNeutral = 0;
	public static final int factionPlayer1 = 1;
	public static final int factionPlayer2 = 2;
	public int faction = factionNeutral;
	
	public int troops = 0;
	
	public static final int modeInactive = 0;
	public static final int modeFortify = 1;
	public static final int modeScout = 2;
	public int mode = modeInactive;
	public int pendingMode = -1;
	public boolean wasCaptured = false;
	
	public Tile(boolean isSea){
		this.isSea = isSea;
	}
	
	public void updateTurn(){
		if(troops < 6)
		troops++;
		if(pendingMode != -1 && pendingMode != mode)
		mode = pendingMode;
		if(wasCaptured)
		wasCaptured = false;
	}
}
